export function once(fn, context) {
  let onceResult;
  let ranOnce = false;
  return function onceInner(...args) {
    if (!ranOnce) {
      ranOnce = true;
      onceResult = fn.apply(context || this, args);
    }
    return onceResult;
  };
}
export function isError(value) {
  if (Object.prototype.toString.call(value) === "[object Error]") {
    return true;
  }
  return value instanceof Error;
}
export function isObject(value) {
  return value ? typeof value === "object" && !Array.isArray(value) && !isNull(value) : false;
}
export function isBoolean(value) {
  return typeof value === "boolean";
}
export function isString(value) {
  return typeof value === "string";
}
//# sourceMappingURL=validators.js.map